For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/v1/selphid/identify/enroll/template/{galleryId}/{templateId}

Enrolls a facial template in a gallery.

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
galleryIdstringObrigatório

The name of a facial template gallery.

Example: my.facial.gallery
templateIdstringObrigatório

The name of a facial template in a gallery.

Example: user-1678
Corpo

A facial template, used for enrollment in a 1:N gallery.

facialTemplatestringObrigatório

Biometric template buffer, obtained through GetFacialTemplate(), base64-encoded.

Example: BAEBGgEroySjGz2C9iIki35J/FA...
Respostas
200

Result of the enrollment.

application/json

The result of enrolling a template in a gallery.

galleryIndexintegerOpcional

The index of a facial template in a gallery.

Example: 3
facialTemplatestringOpcional

Biometric template buffer, obtained through GetFacialTemplate(), base64-encoded.

Example: BAEBGgEroySjGz2C9iIki35J/FA...
sdkDurationnumberOpcional

Duration of the operation in milliseconds.

Example: 1234
post/api/v1/selphid/identify/enroll/template/{galleryId}/{templateId}
POST /api/v1/selphid/identify/enroll/template/{galleryId}/{templateId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 51

{
  "facialTemplate": "BAEBGgEroySjGz2C9iIki35J/FA..."
}
{
  "galleryIndex": 3,
  "facialTemplate": "BAEBGgEroySjGz2C9iIki35J/FA...",
  "sdkDuration": 1234
}

Atualizado